package com.yd.rmi.tencent.wechatinterf.pojo.templetemessage;

import com.fasterxml.jackson.annotation.JsonProperty;

public class SendTemplateSfpRequest {
    @JsonProperty("touser")
    private String toUser;
    @JsonProperty("template_id")
    private String templateId;
    private String url;
    @JsonProperty("miniprogram")
    private MiniProgramInfo miniProgram;
    private MiniProgramSfpInfo data;
    private String page;

    public String getToUser() {
        return toUser;
    }

    public void setToUser(String toUser) {
        this.toUser = toUser;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public MiniProgramInfo getMiniProgram() {
        return miniProgram;
    }

    public void setMiniProgram(MiniProgramInfo miniProgram) {
        this.miniProgram = miniProgram;
    }

    public MiniProgramSfpInfo getData() {
        return data;
    }

    public void setData(MiniProgramSfpInfo data) {
        this.data = data;
    }

	public String getPage() {
		return page;
	}

	public void setPage(String page) {
		this.page = page;
	}
    
}
